# -*- coding: utf-8 -*- 
# @Time    : 04/03/2024 
# @Author  : nzooherd 
# @File    : invalid_redeem.py 
# @Software: Visual Studio Code


class InvalidRedeemException(Exception):
    """
    Exception raise when customer input an invalid redeem code
    """

    def __init__(self, code: str) -> None:
        message = f"Invalid redeem code: {code}"
        super().__init__(message)
    